tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Incompatibility between NetBSD and some packages


I have some packages that are not working properly with non-LANG=C

For example, wip/FlightCrew, wip/Sigil, and wip/cclive.

Error message is here.
terminate called after throwing an instance of 'std::runtime_error'
  what():  locale::facet::_S_create_c_locale name not valid
zsh: abort (core dumped)  sigil

This error had been reported sometimes.
See . .

Can I add these modern packages to main pkgsrc tree?
And could anyone analyse or fix this incompatibility?

Thank you.

PGP fingerprint = 82A2 DC91 76E0 A10A 8ABB  FD1B F404 27FA C7D1 15F3

Home | Main Index | Thread Index | Old Index